linux-armadaxp: 3.5.0-1625.34 -proposed tracker

Bug #1250662 reported by Brad Figg on 2013-11-12
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Ike Panhc
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Ike Panhc
Prepare-package-meta
Medium
Ike Panhc
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Ike Panhc
Security-signoff
Medium
Unassigned
Upload-to-ppa-dnu
Medium
Ike Panhc
Verification-testing
Medium
Ike Panhc
linux-armadaxp (Ubuntu)
Medium
Unassigned
Quantal
Medium
Ike Panhc

Bug Description

This bug is for tracking the 3.5.0-1625.34 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 12. November 2013 23:11 UTC
kernel-stable-master-bug:1250577
kernel-stable-Certification-testing-end:Wednesday, 13. November 2013 08:03 UTC
kernel-stable-Security-signoff-end:Wednesday, 13. November 2013 08:03 UTC
kernel-stable-Prepare-package-end:Wednesday, 13. November 2013 12:03 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 13. November 2013 12:03 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 14. November 2013 11:03 UTC
kernel-stable-Verification-testing-start:Thursday, 14. November 2013 12:05 UTC
kernel-stable-Regression-testing-start:Thursday, 14. November 2013 12:06 UTC
kernel-stable-Verification-testing-end:Monday, 18. November 2013 11:04 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 03. December 2013 09:00 UTC
kernel-stable-Regression-testing-end:Tuesday, 03. December 2013 09:00 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 04. December 2013 00:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 04. December 2013 01:00 UTC

CVE References

This tracking bug was opened to be worked from linux-3.5.0-44.67 update (bug 1250577)

tags: added: kernel-release-tracking-bug
tags: added: armhf
tags: added: quantal
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu):
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu Quantal):
importance: Undecided → Medium
Ike Panhc (ikepanhc) on 2013-11-13
summary: - linux-armadaxp: <version to be filled> -proposed tracker
+ linux-armadaxp: 3.5.0-1625.34 -proposed tracker
description: updated
Changed in kernel-sru-workflow:
assignee: nobody → Ike Panhc (ikepanhc)
Ike Panhc (ikepanhc) on 2013-11-13
Changed in linux-armadaxp (Ubuntu):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Quantal):
assignee: nobody → Ike Panhc (ikepanhc)
status: New → Fix Released
Brad Figg (brad-figg) on 2013-11-13
description: updated
Ike Panhc (ikepanhc) on 2013-11-13
Changed in linux-armadaxp (Ubuntu Quantal):
status: Fix Released → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copies to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2013-11-14
description: updated
Brad Figg (brad-figg) on 2013-11-14
description: updated
Ike Panhc (ikepanhc) wrote :

Rebase only

Brad Figg (brad-figg) on 2013-11-18
description: updated
Ike Panhc (ikepanhc) wrote :

Smoke testing of reboot, smp, ethernet, sata is passed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-12-03
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (5.2 KiB)

This bug was fixed in the package linux-armadaxp - 3.5.0-1625.34

---------------
linux-armadaxp (3.5.0-1625.34) quantal-proposed; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1250662
  * Rebase onto Ubuntu-3.5.0-44.67

  [ Ubuntu: 3.5.0-44.67 ]

  * Release Tracking Bug
    - LP: #1250577
  * SAUCE: ACPI battery: fix compiler warning
    - LP: #1247154
  * ACPI / IPMI: Fix atomic context requirement of ipmi_msg_handler()
    - LP: #1249023
  * Btrfs: change how we queue blocks for backref checking
    - LP: #1249023
  * watchdog: ts72xx_wdt: locking bug in ioctl
    - LP: #1249023
  * random: run random_int_secret_init() run after all late_initcalls
    - LP: #1249023
  * tile: use a more conservative __my_cpu_offset in CONFIG_PREEMPT
    - LP: #1249023
  * ALSA: snd-usb-usx2y: remove bogus frame checks
    - LP: #1249023
  * ALSA: hda - Add fixup for ASUS N56VZ
    - LP: #1249023
  * hwmon: (applesmc) Always read until end of data
    - LP: #1249023
  * drm/radeon: fix hw contexts for SUMO2 asics
    - LP: #1249023
  * KVM: PPC: Book3S HV: Fix typo in saving DSCR
    - LP: #1249023
  * random: allow architectures to optionally define random_get_entropy()
    - LP: #1249023
  * ext4: fix memory leak in xattr
    - LP: #1249023
  * parisc: fix interruption handler to respect pagefault_disable()
    - LP: #1249023
  * mm, show_mem: suppress page counts in non-blockable contexts
    - LP: #1249023
  * mm/mmap: check for RLIMIT_AS before unmapping
    - LP: #1249023
  * mm: do not grow the stack vma just because of an overrun on preceding
    vma
    - LP: #1249023
  * xhci: quirk for extra long delay for S4
    - LP: #1249023
  * xhci: Fix spurious wakeups after S5 on Haswell
    - LP: #1249023
  * USB: support new huawei devices in option.c
    - LP: #1249023
  * USB: serial: ti_usb_3410_5052: add Abbott strip port ID to combined
    table as well.
    - LP: #1249023
  * USB: serial: option: add support for Inovia SEW858 device
    - LP: #1249023
  * ARM: 7851/1: check for number of arguments in
    syscall_get/set_arguments()
    - LP: #1249023
  * USB: quirks.c: add one device that cannot deal with suspension
    - LP: #1249023
  * dm snapshot: fix data corruption
    - LP: #1249023
    - CVE-2013-4299
  * USB: quirks: add touchscreen that is dazzeled by remote wakeup
    - LP: #1249023
  * usb: serial: option: blacklist Olivetti Olicard200
    - LP: #1249023
  * usb-storage: add quirk for mandatory READ_CAPACITY_16
    - LP: #1249023
  * writeback: fix negative bdi max pause
    - LP: #1249023
  * powerpc/pseries/lparcfg: Fix possible overflow are more than 1026
    - LP: #1249023
  * powerpc: Restore registers on error exit from
    csum_partial_copy_generic()
    - LP: #1249023
  * nilfs2: fix issue with race condition of competition between segments
    for dirty blocks
    - LP: #1249023
  * fuse: hotfix truncate_pagecache() issue
    - LP: #1249023
  * rt2800: fix wrong TX power compensation
    - LP: #1249023
  * [media] sh_vou: almost forever loop in sh_vou_try_fmt_vid_out()
    - LP: #1249023
  * tcp: must unclone packets before mangling them
    - LP: #1249023
  * tcp: do not forget FIN in tcp_shifted_skb()
   ...

Read more...

Changed in linux-armadaxp (Ubuntu Quantal):
status: In Progress → Fix Released
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2013-12-04
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers